Subject: RE:Re: refund request #Ref 20251108003432557
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 10 Nov 2025 08:09:54 -0800

Hello Trisha,

Thank you for reaching out and for letting us know about your experience with the electric blanket. We’re sorry to hear that both blankets did not perform as expected.

Please contact our Electric Product Team at 866-456-8852 for further assistance with your electric blanket.

We appreciate your patience and understanding.

Sincerely,
Giselle
Designer Living Customer Service
[email-masked]

===============================================================================

Dear Designer Living,

Is there any response to my request?  Thank you!

Trisha

On Fri, Oct 31, 2025 at 2:19 PM Trisha Wells <[email-masked]> wrote:

Dear Designer Living,

I purchased a king sized electric blanket (Order #: D259210D8B).  On the very first use, the controller went into "E3" mode.  After much additional experimentation, we were never able to get it to continue heating for more than about an hour.  I worked with the manufacturer to get a replacement blanket.  That blanket also did the same thing.  I would like to request a refund since I don't have a working blanket and a third try seems unlikely to work.

Thank you for your assistance.

Trisha Wells